package com.fjhx.service.contract;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.contract.ContractDetails;
import com.fjhx.params.contract.ContractDetailsVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * 合同明细 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-25
 */
public interface ContractDetailsService extends BaseService<ContractDetails> {

    Page<ContractDetails> getPage(Map<String, String> condition);

    void add(ContractDetailsVo contractDetailsVo);

    void edit(ContractDetailsVo contractDetailsVo);

    void delete(ContractDetailsVo contractDetailsVo);

}
